Page MenuHomePhabricator

Easy opt-out for registered users
Closed, ResolvedPublic

Description

Migrated from: https://wikimedia.mingle.thoughtworks.com/projects/multimedia/cards/703

Narrative

As a registered user, I can quickly opt-out, so that I don't have to search for a way to disable Media Viewer

Acceptance Criteria

  • Show an “opt out” link at the bottom of the metadata panel: 'Disable Media Viewer'
  • If they click on that link, disable Media Viewer preference.
  • Show 'Re-enable Media Viewer' in subsequent views.

Instead of sending users to the preferences (where the checkbox is pretty hard to find), we could allow opt-out directly from the viewer:

There are ways to open MediaViewer even when opted out (direct link with MediaViewer in it, button on file page), so users would have an intuitive way of reenabling.

Related Bugs

Related Stories

#704 Opt-out for anons

Related Changesets

Related Objects

Event Timeline

MingleTerminator raised the priority of this task from to High.Dec 8 2014, 6:06 PM
In mingle on 2014-06-10 at 18:44:22, @MarkTraceur wrote:

Do #704 first?

In mingle on 2014-06-10 at 20:24:22, @Pginer-WMF wrote:

I would avoid the checkbox step:
Show an opt-out link, that when clicked, disables the media viewer and shows a bubble notification: "Media Viewer has been disabled. You can re-enable it from the X section on preferences."

In mingle on 2014-06-11 at 01:15:48, @Tgr wrote:

Business logic part of the change:
https://gerrit.wikimedia.org/r/#/c/138766/

In mingle on 2014-06-11 at 02:19:01, @Tgr wrote:

UI part of the change:
https://gerrit.wikimedia.org/r/138772
(just the bare minimum to make it sensible, the messaging could take improvements)

MingleTerminator closed this task as Resolved.Dec 8 2014, 6:06 PM
Restricted Application added a subscriber: Matanya. · View Herald TranscriptFeb 29 2016, 1:29 AM